Linux 2.4 et 2.6 comporte une faille critique

Tous les noyaux Linux de la branche 2.4 et 2.6 sont impactés par une faille critique découverte par deux ingénieurs de chez Google.

La faille concerne les pointeurs de variable dans les échanges de données par socket. La fonction sock_sendpage() est particulierement visée par cette faille.

La faille permet de prendre le controle d’une machine linux puisque toutes les versions de Kernel actuellement en circulation sont visées.

Llinus Torvalds à déjà publié un correctif qui devrait être rapidement intégré au différents noyau en circulation. La mise à jour de votre distribution linux devrait suivre rapidement.

La solution à cette faille est de faire utiliser la fonction kernel_enpage au lieu de sock_sendpage.

Pfff

Pfff

Né en 1976, j'ai découvert le web par un modem RTC et des factures astronomique vers 20 ans... depuis le doigt, la main le bras et le corps entier ou presque y est passé! Mon aventure linuxienne debute vers 2003 ou je teste une Mandrake (ancien nom des Mandriva), puis pour des raisons de compatibilité matérielle, je passe sous Fedora. J'adopterais définitivement (enfin jusqu'à aujourd'hui au moins) Ubuntu en 2005 avec la 5.10 Breezy Badger. En tant que Linuxien et passionné de logiciel libre, je créé en 2006 Webynux.net.

More Posts - Website

Follow Me:
TwitterFacebookGoogle Plus